> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wallets

> List all wallets currently in your tracked leaderboard set.

Returns every wallet address in your BYOL set along with your wallet limit.

```
GET /v2/leaderboard/wallets
```

## Authentication

Pass your API key via query parameter `?key=`, header `x-api-key`, or `Authorization: Bearer`.

## Response

```json theme={null}
{
  "wallets": [
    "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
    "0xb595d09ce5bbc4d39e3b3d04e80c402d2c8d5922",
    "0x53decedc72531ef57b2d54b5542c509e233c822f",
    "0xd252bce657d99d4e943708a8d7a2b3222da2775b",
    "0x05d5e0403427a6223f5673b3234ac9405c19db37"
  ],
  "count": 104,
  "limit": 5000
}
```

| Field     | Type      | Description                      |
| --------- | --------- | -------------------------------- |
| `wallets` | string\[] | All wallet addresses in your set |
| `count`   | number    | Total number of wallets          |
| `limit`   | number    | Maximum wallets allowed (5,000)  |

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.polynode.dev/v2/leaderboard/wallets?key=YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.polynode.dev/v2/leaderboard/wallets?key=YOUR_API_KEY"
  );
  const data = await response.json();
  console.log(`Tracking ${data.count} wallets (limit: ${data.limit})`);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.polynode.dev/v2/leaderboard/wallets",
      params={"key": "YOUR_API_KEY"}
  )
  data = response.json()
  print(f"Tracking {data['count']} wallets (limit: {data['limit']})")
  ```
</CodeGroup>
